Subject: Re: bug#5923: 23.1.95; minibuffer-message discards input events

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Apr 2010 15:15:21 -0400

> Prior to Emacs 23, a user can hit `C-RET' after `C-u' and while
> `[prefix (4)]' is displayed, and the `sit-for' is interrupted and
> the action is executed immediately. Starting with Emacs 23, the
> `C-RET' is ignored. A `C-RET' doesn't take effect until the
> `sit-for' timeout is finished (as if it were `sleep-for').

I can't reproduce exactly your test case because I don't know what code
is run by your C-u (and because I'm on GNU/Linux, ...), but at least
when I start "emacs23 -Q" and do C-x C-f TAB TAB, the first tab outputs
a minibuffer-message but the second TAB is executed immediately
(interrupts the minibuffer-message).  So I don't see that problematic
behavior you're seeing.

Can you check whether my test case works for you as well?

        Stefan